Witryny
GET https://analityka.silentshields.pl/api/websites/
curl --request GET \
--url 'https://analityka.silentshields.pl/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analityka.silentshields.pl/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Szczegóły | Opis |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | Ile wyników chcesz na stronę. Dozwolone wartości to: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Domyślnie `25`. |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-13 16:01:20"
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analityka.silentshields.pl/api/websites?&page=1",
"last": "https://analityka.silentshields.pl/api/websites?&page=1",
"next": null,
"prev": null,
"self": "https://analityka.silentshields.pl/api/websites?&page=1"
}
}
GET https://analityka.silentshields.pl/api/websites/{website_id}
curl --request GET \
--url 'https://analityka.silentshields.pl/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analityka.silentshields.pl/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-13 16:01:20"
"last_datetime": null
}
}
POST https://analityka.silentshields.pl/api/websites
| Parameters | Szczegóły | Opis |
|---|---|---|
| name | Required String | - |
| scheme | Optional String | Allowed values: http://, https:// |
| host | Required String | Przykład: `example.com/path`. |
| tracking_type | Optional String | Allowed values: lightweight, normal |
| excluded_ips | Optional String | Wyklucz adresy IP ze śledzenia. Wprowadź wartości oddzielone przecinkami. |
| events_children_is_enabled | Optional Boolean | Śledź zdarzenia odwiedzających (kliknięcia myszą, zmiany rozmiaru, przewijanie, przesyłanie formularzy). Dozwolone wartości to: `0` lub `1`. Dostępne tylko dla typu śledzenia `normal`. |
| sessions_replays_is_enabled | Optional Boolean | Powtórki sesji. Dozwolone wartości to: `0` lub `1`. Dostępne tylko dla typu śledzenia `normal`. |
| email_reports_is_enabled | Optional Boolean | Raporty e-mail. Dozwolone wartości to: `0` lub `1`. |
| query_parameters_tracking_is_enabled | Optional Boolean | - |
| bot_exclusion_is_enabled | Optional Boolean | - |
| public_statistics_is_enabled | Optional Boolean | - |
| public_statistics_password | Optional String | - |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://analityka.silentshields.pl/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://analityka.silentshields.pl/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://analityka.silentshields.pl/api/websites/{website_id}
| Parameters | Szczegóły | Opis |
|---|---|---|
| name | Optional String | - |
| scheme | Optional String | Allowed values: http://, https:// |
| host | Optional String | Przykład: `example.com/path`. |
| excluded_ips | Optional String | Wyklucz adresy IP ze śledzenia. Wprowadź wartości oddzielone przecinkami. |
| events_children_is_enabled | Optional Boolean | Śledź zdarzenia odwiedzających (kliknięcia myszą, zmiany rozmiaru, przewijanie, przesyłanie formularzy). Dozwolone wartości to: `0` lub `1`. Dostępne tylko dla typu śledzenia `normal`. |
| sessions_replays_is_enabled | Optional Boolean | Powtórki sesji. Dozwolone wartości to: `0` lub `1`. Dostępne tylko dla typu śledzenia `normal`. |
| email_reports_is_enabled | Optional Boolean | Raporty e-mail. Dozwolone wartości to: `0` lub `1`. |
| query_parameters_tracking_is_enabled | Optional Boolean | - |
| bot_exclusion_is_enabled | Optional Boolean | - |
| public_statistics_is_enabled | Optional Boolean | - |
| public_statistics_password | Optional String | - |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://analityka.silentshields.pl/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://analityka.silentshields.pl/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://analityka.silentshields.pl/api/websites/{website_id}
curl --request DELETE \
--url 'https://analityka.silentshields.pl/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analityka.silentshields.pl/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \